Host Firewall System Update Ruleset

Host Firewall System Update Ruleset
Update the firewall ruleset specification.

Update the firewall ruleset specification.

Required privileges: Host.Config.NetService

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostFirewallSystem/{moId}/UpdateRuleset
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostFirewallSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
UpdateRulesetRequestType of type(s) application/json
Required

Show optional properties

{
    "id": "string",
    "spec": {
        "allowedHosts": {}
    }
}
{
    "id": "string",
    "spec": {
        "_typeName": "string",
        "allowedHosts": {
            "_typeName": "string",
            "ipAddress": [
                "string"
            ],
            "ipNetwork": [
                {
                    "_typeName": "string",
                    "network": "string",
                    "prefixLength": 0
                }
            ],
            "allIp": false
        }
    }
}
string
id
Required

id

object
spec
Required

The ruleset update specification.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

NotFound: if the ruleset ID is unknown

HostConfigFault: if the update of the ruleset failed.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"id":"string","spec":"object"}' https://{api_host}/sdk/vim25/{release}/HostFirewallSystem/{moId}/UpdateRuleset